services:
  wildfly:
    image: bitnami/wildfly:34
    restart: always
    container_name: ${CONTAINER_NAME}
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
      - ${PANEL_APP_PORT_ADMIN}:9990
    volumes:
      - ./app:/opt/bitnami/wildfly/standalone/deployments
    environment:
      JAVA_OPTS: "-Djava.net.preferIPv4Stack=true"
      WORKDIR: /app
    networks:
      - icontainer-network
    labels:
      createdBy: "Apps"
networks:
  icontainer-network:
    external: true
